New Point is inserted horizontally instead of vertically

I am migrating VBA code from Autocad.

The UCS is set to a custom one which is section view.
The sequence is as below, the user will pick a point and that needs to be inserted.

PickPoint = ThisDrawing.Utility.GetPoint(Prompt:=strPrmt)

Set NewAcadPoint = ThisDrawing.ModelSpace.addpoint(PickPoint )

The inserted point is horizontal instead of vertical as in Autocad.

If I insert a new point with the POINT command, then it inserts it vertically.
Point in yellow is inserted with POINT command, point above the text is inserted with .addpoint method.

I have noticed that the point added manually shows slope as 0 where as the point added with addpoint shows the slope as 90.

Any guidance on this will be appreciated.


Regards
Jiva

Comments

  • I made a UCS using object a line at 45, and the point rotated to match. So maybe its something to do with using View.